Anonymous Login
2017-11-21 15:05 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001579OpenClonkObjectspublic2017-06-20 15:20
ReporterSven2 
Assigned ToMaikel 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformVisual C++ 2008OSWindowsOS Version 
Product Version 
Target Version7.1 (Bugfix update)Fixed in Version7.1 (Bugfix update) 
Summary0001579: Show power balance in interaction menu
DescriptionThe interaction menu should show power balance. Need not be prominent; just e.g. one line showing "Producers: {{Green Lightbulb}}*x Consumers: {{Green Lightbulb}}*y".

It could be shown in the flagpole, the compensator, power producers and maybe even consumers.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004822

Clonkonaut (developer)

How would you sum up both values?

Since we don't have steady producers (Wind Generators), what would you show? Maximum output if wind is +/-100? Or 'average' output with wind +/- 50? Or current output with whatever wind blows?
How do you take into account that scenarios may limit wind?

What do you show for consumers? Buildings currently consuming power? Or the possible situation that all buildings are running at the same time? In theory, producers can have a different power need for different products (see: https://git.openclonk.org/openclonk.git/blob/HEAD:/planet/Objects.ocd/Libraries.ocd/Structures.ocd/Producer.ocd/Script.c#l170).

What are compensators? Producers or consumers?

~0004823

Maikel (developer)

I would show current active needed consumption and current possible production. I can take this report actually.

~0004824

Clonkonaut (developer)

'Possible' production? ;)

That would be all Wind Generators on current wind + all Steam Engines that can(?) run (meaning they have coal ready?) + all compensators charged with whatever they got?

Active needed is, I presume, all buildings that are currently consuming power. What about not fully charged compensators? Are those consuming or producing power? Clearly, they cannot appear on both sides of the equation.

What's the real benefit of seeing this information? You still can't really tell if the next building you switch on will run or not. You can't tell if the currently shown power need is a spike or not (maybe your pal is just using the elevator or ordered an airship or something).

~0004826

Sven2 (developer)

Maybe just current power production and current power consumption(including unfulfilled requests); both excluding compensators.

Display could be in light bulbs: Yellow lightbulbs for min(production, consumption), and to the right of these either green lightbulbs for max(0, production - consumption) or red light bulbs for max(0, consumption - production)

Behind that a text label like "not enough power" or "enough power".

Compensators could get a second line showing their total charge. And an arrow showing whether they currently charge up or down.

~0004835

Maikel (developer)

It now shows:
current production and total production capacity (excluding storage)
current consumption and total consumption demand (excluding storage)
amount of power stored and total storage capacity

automatic updating when the storage capacity changes is still missing.

Reopen if someone is unhappy.
+Notes

-Issue History
Date Modified Username Field Change
2016-01-11 02:25 Sven2 New Issue
2016-01-11 02:31 Sven2 Target Version => 7.1 (Bugfix update)
2016-01-19 18:26 Clonkonaut Note Added: 0004822
2016-01-19 18:26 Clonkonaut Status new => feedback
2016-01-19 19:34 Maikel Note Added: 0004823
2016-01-19 19:34 Maikel Assigned To => Maikel
2016-01-19 19:34 Maikel Status feedback => assigned
2016-01-19 19:53 Clonkonaut Note Added: 0004824
2016-01-19 21:21 Sven2 Note Added: 0004826
2016-01-20 13:31 Maikel Note Added: 0004835
2016-01-20 13:31 Maikel Status assigned => resolved
2016-01-20 13:31 Maikel Fixed in Version => 7.1 (Bugfix update)
2016-01-20 13:31 Maikel Resolution open => fixed
+Issue History